{% extends 'base.html' %} {% block content %}
<h1 data-aos="fade-up">Click Here to <span class="typed-words"></span></h1>
<div id="app">
<div style="height: 400px; overflow-y: auto;" v-if="hidden">
  <table>
    <thead>
    <tr>
      <th>FILENAME</th>
      <th>VERIFIED STATUS</th>
      <th>DATE GENERATED</th>
    </tr>
  </thead>
    <tr v-for="verifyData in verifyDatas" :key="verifyData">
      <td>[[ verifyData.filename ]]</td>
      <td>[[ verifyData.verified_status ]]</td>
      <td>[[ verifyData.date_generated ]]</td>
    </tr>
  </table>
  </div>
  <button class="btn btn-primary" style="margin-top: 6px;" @click="[verifyLog(), hidden = !hidden]">Verify</button>
  <button class="btn btn-primary" style="margin-top: 6px;" @click="
  csvExport(
    verifyDatas
  )
" v-if="hidden">Download</button>
</div>
<script src="{{ url_for('static', filename='bootstrap/js/typed.js') }}"></script>
<script>
  var typed = new Typed(".typed-words", {
    strings: ["Verify Log"],
    typeSpeed: 80,
    backSpeed: 80,
    backDelay: 4000,
    startDelay: 1000,
    loop: true,
    showCursor: true,
  });
</script>
<!-- production version, optimized for size and speed -->
<!-- <script src="{{ url_for('static', filename='vue/vue_prod.js') }}"></script> -->
<!-- development version, includes helpful console warnings -->
<script src="{{ url_for('static', filename='vue/vue_dev.js') }}"></script>
<!-- for axios -->
<script src="{{ url_for('static', filename='vue/axios.js') }}"></script>
<script>
  var app = new Vue({
    el: "#app",
    delimiters: ["[[", "]]"],
    data: {
      verifyDatas: null,
      hidden: false,
    },
    methods: {
      async verifyLog() {
        await axios
          .get("{{ url_for('report_verify') }}")
          //   .get("http://0.0.0.0:5002/report/verify")
          .then((response) => (this.verifyDatas = response.data))
          //   .then((response) => console.log(response.data))
          .catch((error) => {
            this.errorMessage = error.message;
            console.error("There was an error!", error);
          });
      },
      csvExport(arrData) {
      let csvContent = 'data:text/csv;charset=utf-8,'
      csvContent += [
        Object.keys(arrData[0]).join(';'),
        ...arrData.map((item) => Object.values(item).join(';')),
      ]
        .join('\n')
        .replace(/(^\[)|(\]$)/gm, '')

      const data = encodeURI(csvContent)
      const link = document.createElement('a')
      link.setAttribute('href', data)
      link.setAttribute('download', 'Verify_Log.csv')
      link.click()
    },
    },
  });
</script>
<style>
  table {
    font-family: 'Calibri', sans-serif;
    border-collapse: collapse;
    font-weight: lighter;
    width: 100%;
    background-color: #fff;
    box-shadow: #005e5c 0px 0px 5px 0px;
  }

  table thead th {
  background-color: #00918E;
  color: #ffffff;
  text-align: center;
 }

  td,
  th {
    border: 1px solid #dddddd;
    text-align: left;
    padding: 8px;
  }
</style>
{% endblock %}
